XKBCLI-INTERACTIVE-EVDEV(1)

NAME
xkbcli interactive-evdev - interactive debugger for XKB keymaps

SYNOPSIS
xkbcli interactive-evdev [options]

DESCRIPTION
xkbcli interactive-evdev is a commandline tool to interactively debug XKB keymaps by listening to /dev/input/eventX evdev devices.

xkbcli interactive-evdev requires permission to open the evdev device nodes. This usually requires being the “root” user or belonging to the “input” group.

Press the <Escape> key to exit.

This is a debugging tool, its behavior or output is not guaranteed to be stable.

--help
    Print help and exit

--rules rules
    The XKB ruleset

--model model
    The XKB model

--layout layout
    The XKB layout

--variant variant
    The XKB layout variant

--option options
    The XKB options

--keymap file
    Specify a keymap path. This option is mutually exclusive with the RMLVO options.

--report-state-changes
    Report changes to the keyboard state

--enable-compose
    Enable Compose functionality

--consumed-mode {xkb|gtk}
    Set the consumed modifiers mode (default: xkb)

--without-x11-offset
    Don't add an offset of 8 when converting an evdev keycode to an XKB keycode. You probably don't want this option.

SEE ALSO
xkbcli(1), xkbcli-interactive-wayland(1), xkbcli-interactive-x11(1), The libxkbcommon online documentation: https://xkbcommon.org